<Project Sdk="Microsoft.NET.Sdk">
	<Import Project="..\..\..\common.props" />
  <ItemGroup>
    <PackageReference Include="AlipayEasySDK" Version="2.1.3" />
    <PackageReference Include="Azure.AI.OpenAI" Version="2.2.0-beta.4" />
    <PackageReference Include="Microsoft.Agents.AI.OpenAI" Version="1.0.0-preview.251219.1" />
    <PackageReference Include="ModelContextProtocol.Core" Version="0.5.0-preview.1" />
    <PackageReference Include="Volo.Abp.Ddd.Domain" Version="$(AbpVersion)" />
    <PackageReference Include="Volo.Abp.DistributedLocking" Version="$(AbpVersion)" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\framework\Yi.Framework.Mapster\Yi.Framework.Mapster.csproj" />
    <ProjectReference Include="..\..\..\framework\Yi.Framework.SqlSugarCore.Abstractions\Yi.Framework.SqlSugarCore.Abstractions.csproj" />
    <ProjectReference Include="..\Yi.Framework.AiHub.Application.Contracts\Yi.Framework.AiHub.Application.Contracts.csproj" />
    <ProjectReference Include="..\Yi.Framework.AiHub.Domain.Shared\Yi.Framework.AiHub.Domain.Shared.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="AiGateWay\Impl\ThorSiliconFlow\" />
  </ItemGroup>

</Project>
